Campaigns
Send a campaign test
Sends one rendered draft email to the authenticated actor's email address, using optional contactId only for personalization.
Sends one rendered draft email to the authenticated actor's email address, using optional contactId only for personalization. Creates no campaign run. Normal sending permissions, billing, and delivery policies apply.
Authorization
apiKey x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
content*
audience*
contactId?|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/campaigns/test-send" \ -H "Content-Type: application/json" \ -d '{ "content": { "channel": "email", "email": {} }, "audience": { "topicId": "string" } }'{ "id": "string"}